> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Spam Score

> This endpoint will provide you with spam scores of the domains, subdomains, and pages you specified in the `targets` array.



## OpenAPI

````yaml openapi/dataforseo.json POST /dataforseo/backlinks/bulk_spam_score/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/backlinks/bulk_spam_score/live:
    post:
      summary: Bulk Spam Score
      description: >-
        This endpoint will provide you with spam scores of the domains,
        subdomains, and pages you specified in the `targets` array. Spam Score
        is DataForSEO’s proprietary metric that indicates how “spammy” your
        target is on a scale from 0 to 100. You can learn more about Spam Score,
        how it is calculated, and signals it takes into account in [this help
        center
        article](https://dataforseo.com/help-center/what-is-spam-score-and-how-is-it-calculated)
      operationId: post_dataforseo_backlinks_bulk_spam_score_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                targets:
                  type: array
                  items:
                    type: string
                  description: >-
                    domains, subdomains or webpages to get rank for required
                    field you can set up to 1000 domains, subdomains or webpages
                    the domain or subdomain should be specified without https://
                    and www. the page should be specified with absolute URL
                    (including http:// or https://) example: "targets": [
                    "forbes.com", "cnn.com", "bbc.com", "yelp.com",
                    "https://www.apple.com/iphone/", "https://ahrefs.com/blog/",
                    "ibm.com", "https://variety.com/",
                    "https://stackoverflow.com/", "www.trustpilot.com" ]
                tag:
                  type: string
                  description: >-
                    user-defined task identifier optional field the character
                    limit is 255 you can use this parameter to identify the task
                    and match it with the result you will find the specified tag
                    value in the data object of the response
              required:
                - targets
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: the current version of the API
                  status_code:
                    type: integer
                    description: >-
                      general status code you can find the full list of the
                      response codes here Note: we strongly recommend designing
                      a necessary system for handling related exceptional or
                      error conditions
                  status_message:
                    type: string
                    description: >-
                      general informational message you can find the full list
                      of general informational messages here
                  time:
                    type: string
                    description: execution time, seconds
                  cost:
                    type: number
                    description: total tasks cost, USD
                  tasks_count:
                    type: integer
                    description: the number of tasks in the tasks array
                  tasks_error:
                    type: integer
                    description: >-
                      the number of tasks in the tasks array returned with an
                      error
                  tasks:
                    type: array
                    items:
                      type: string
                    description: array of tasks
                  tasks.id:
                    type: string
                    description: >-
                      task identifier unique task identifier in our system in
                      the UUID format
                  tasks.status_code:
                    type: integer
                    description: >-
                      status code of the task generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes here
                  tasks.status_message:
                    type: string
                    description: >-
                      informational message of the task you can find the full
                      list of general informational messages here
                  tasks.time:
                    type: string
                    description: execution time, seconds
                  tasks.cost:
                    type: number
                    description: cost of the task, USD
                  tasks.result_count:
                    type: integer
                    description: number of elements in the result array
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL path
                  tasks.data:
                    type: object
                    description: >-
                      contains the same parameters that you specified in the
                      POST request
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: array of results
                  tasks.result.items_count:
                    type: integer
                    description: the number of results returned in the items array
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: contains relevant backlinks and referring domains data
                  tasks.result.items.type:
                    type: string
                    description: type = ‘backlinks_bulk_spam_score’
                  tasks.result.items.target:
                    type: string
                    description: domain, subdomain or webpage from a POST array
                  tasks.result.items.spam_score:
                    type: integer
                    description: >-
                      average spam score the target learn more about how the
                      metric is calculated
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````